package com.wechat.model.requestDto;

import java.util.List;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import com.wechat.model.dto.IntvTimeDto;

public class InterviewCreateReq {
	private Integer intvId;
	
    private Integer jobId;

    private String interviewee;    //被邀请面试者

    private String entContacts;    //企业联系人

    private String entContactInfo;  //企业联系方式

    private String type;            //面试方式[0-现场面试 1-视频面试]

    private String addrProvince;    //面试地址-省

    private String addrCity;

    private String addrArea;

    private String addDetail;

    private List<IntvTimeDto>  intvTimeList;
    
    public void cleanAddr() {
    	//[0-现场面试 1-视频面试] 的场合不需要地址
    	if("1".equals(this.type)) {
    		setAddrProvince(null);
    		setAddrCity(null);
    		setAddrArea(null);
    		setAddDetail(null);
    	}
    }
    
    @NotNull(message="参数不能为空|Params can not be empty.")
    public Integer getJobId() {
        return jobId;
    }

    public void setJobId(Integer jobId) {
        this.jobId = jobId;
    }

    @NotBlank(message="参数不能为空|Params can not be empty.")
    public String getInterviewee() {
        return interviewee;
    }

    public void setInterviewee(String interviewee) {
        this.interviewee = interviewee == null ? null : interviewee.trim();
    }

    @NotBlank(message="参数不能为空|Params can not be empty.")
    public String getEntContacts() {
        return entContacts;
    }

    public void setEntContacts(String entContacts) {
        this.entContacts = entContacts == null ? null : entContacts.trim();
    }

    @NotBlank(message="参数不能为空|Params can not be empty.")
    public String getEntContactInfo() {
        return entContactInfo;
    }

    public void setEntContactInfo(String entContactInfo) {
        this.entContactInfo = entContactInfo == null ? null : entContactInfo.trim();
    }

    @NotBlank(message="参数不能为空|Params can not be empty.")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getAddrProvince() {
        return addrProvince;
    }

    public void setAddrProvince(String addrProvince) {
        this.addrProvince = addrProvince == null ? null : addrProvince.trim();
    }

    public String getAddrCity() {
        return addrCity;
    }

    public void setAddrCity(String addrCity) {
        this.addrCity = addrCity == null ? null : addrCity.trim();
    }

    public String getAddrArea() {
        return addrArea;
    }

    public void setAddrArea(String addrArea) {
        this.addrArea = addrArea == null ? null : addrArea.trim();
    }

    public String getAddDetail() {
        return addDetail;
    }

    public void setAddDetail(String addDetail) {
        this.addDetail = addDetail == null ? null : addDetail.trim();
    }

    @NotEmpty(message="参数不能为空|Params can not be empty.")
	public List<IntvTimeDto> getIntvTimeList() {
		return intvTimeList;
	}

	public void setIntvTimeList(List<IntvTimeDto> intvTimeList) {
		this.intvTimeList = intvTimeList;
	}

	@NotNull(message="参数不能为空|Params can not be empty.")
	public Integer getIntvId() {
		return intvId;
	}

	public void setIntvId(Integer intvId) {
		this.intvId = intvId;
	}


}